package wicket.exemplo;

import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.link.Link;

public class HomePage extends WebPage {
    
    private int count;
    
    public HomePage() {
        Label label = new Label("mensagem", "Ol, Mundo!");
        add(label);
        
        Link link = new Link("link") {

            @Override
            public void onClick() {
                System.out.println("O link foi clicado! Count: " + count);
                count++;
            }
            
        };
        add(link);
    }
    
}
