package wicket.exemplo;

import java.util.Date;

import org.apache.wicket.IConverterLocator;
import org.apache.wicket.protocol.http.WebApplication;
import org.apache.wicket.util.convert.ConverterLocator;

public class HelloApplication extends WebApplication {

    @Override
    public Class<?> getHomePage() {
        return HomePage.class;
    }
    
    @Override
    protected IConverterLocator newConverterLocator() {
        ConverterLocator locator = new ConverterLocator();
        locator.set(Date.class, new SistemaDateConverter());
        return locator;
    }
    
}
