/**
 * 
 */
package wicket.exemplo;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Locale;

import org.apache.wicket.util.convert.converters.DateConverter;

/**
 * Um DateConverter que sempre usa a mscara dd/MM/yyyy.
 */
public class SistemaDateConverter extends DateConverter {
    
    @Override
    public DateFormat getDateFormat(Locale locale) {
        return new SimpleDateFormat("dd/MM/yyyy");
    }
    
}