package wicket.exemplo;

import java.util.Arrays;
import java.util.List;

import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.list.ListItem;
import org.apache.wicket.markup.html.list.ListView;

/**
 * Exemplo dos mais simples usando ListView
 */
public class HomePage extends WebPage {
    
    private String nomes = "Fulano,Cicrano,Beltrano";
    
	public HomePage() {
	    
	    List<String> listaNomes = Arrays.asList(nomes.split(","));
	    
        ListView lista = new ListView("lista", listaNomes) {

            @Override
            protected void populateItem(ListItem item) {
                String nome = (String) item.getModelObject();
                item.add(new Label("item", nome));
            }

        };
        add(lista);
	}

}
