package wicket.exemplo;

import java.text.SimpleDateFormat;
import java.util.Date;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.model.AbstractReadOnlyModel;

public class Rodape extends Panel {
    
    public Rodape(String id) {
        super(id);
        
        Label dataHora = new Label("dataHora", new AbstractReadOnlyModel() {
            @Override
            public Object getObject() {
                SimpleDateFormat format = new SimpleDateFormat(
                        "dd/MM/yyyy HH:mm");
                return format.format(new Date());
            }
        });
        add(dataHora);
    }

}
