package wicket.exemplo;

import org.apache.wicket.Request;
import org.apache.wicket.Response;
import org.apache.wicket.Session;
import org.apache.wicket.protocol.http.WebApplication;

public class HelloApplication extends WebApplication {
    
    @Override
    public Class<?> getHomePage() {
        return HomePage.class;
    }
    
    @Override
    protected void init() {
        super.init();
        mountBookmarkablePage("outra", OutraPagina.class);
    }

    @Override
    public Session newSession(Request request, Response response) {
        return new MinhaSessao(request);
    }
    
}
