package wicket.exemplo;

import java.text.SimpleDateFormat;

import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.model.AbstractReadOnlyModel;

public class HomePage extends WebPage {
    
    public HomePage() {
        Label dataHora = new Label("dataHora", new AbstractReadOnlyModel() {
            @Override
            public Object getObject() {
                SimpleDateFormat format = new SimpleDateFormat(
                        "dd/MM/yyyy HH:mm:ss");

                return format.format(MinhaSessao.get().getDataHoraCriacao());
            }
        });
        add(dataHora);
    }

}
