package wicket.exemplo;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.form.Button;
import org.apache.wicket.markup.html.form.Form;
import org.apache.wicket.markup.html.form.TextField;
import org.apache.wicket.markup.html.panel.FeedbackPanel;
import org.apache.wicket.model.PropertyModel;
import org.apache.wicket.model.ResourceModel;

public class HomePage extends AbstractPage {

    private String texto;
    
	public HomePage() {

		FeedbackPanel feedbackPanel = new FeedbackPanel("feedback");
		add(feedbackPanel);

		final Form form = new Form("form");
		add(form);
		
        LocaleDropDown locales = new LocaleDropDown("locale");
        form.add(locales);
        
        Label labelTexto = new Label("labelTexto", new ResourceModel(
                "form.campoTexto"));
        form.add(labelTexto);
		
        TextField texto = new TextField("campoTexto", new PropertyModel(this,
                "texto"));
        form.add(texto);
        
        Button botao = new Button("botao", new ResourceModel("botao"));
        form.add(botao);
	}

	public String getTexto() {
        return texto;
    }

    public void setTexto(String texto) {
        this.texto = texto;
    }

}
