package wicket.bugtracker.negocio;

import java.util.ArrayList;
import java.util.List;

public class Projeto extends Entidade {
	
	private String nome;
	
	private List<Bug> bugs = new ArrayList<Bug>();
	
	public Projeto() {
	}
	
	public Projeto(String nome) {
		this.nome = nome;
	}

	public String getNome() {
		return nome;
	}
	
	public void setNome(String name) {
		this.nome = name;
	}
	
	public List<Bug> getBugs() {
		return bugs;
	}

	public void setBugs(List<Bug> bugs) {
		this.bugs = bugs;
	}
	
	public void addBug(Bug bug) {
		bugs.add(bug);
	}
	
}
