/**
 * 
 */
package wicket.exemplo;

import org.apache.wicket.Component;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.link.Link;

public class LinkEsconderMostrar extends Link {
    
    private Label label;
    private Component painel;

    public LinkEsconderMostrar(String id, Component painel) {
        super(id);
        this.painel = painel;
        label = new Label("labelDoLink", "Desligar");
        add(label);
    }

    @Override
    public void onClick() {
        painel.setVisible(!painel.isVisible());
        if (painel.isVisible()) {
            label.setModelObject("Desligar");
        } else {
            label.setModelObject("Ligar");
        }
    }

}