package wicket.exemplo;

import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.link.Link;
import org.apache.wicket.model.Model;

/**
 * O exemplo abaixo mostra um uso simples de Model. Pode ser muito interessante 
 * trocar por um PropertyModel.
 */
public class HomePage extends WebPage {
    
    private int count;
    
    public HomePage() {
        Label label = new Label("mensagem", new Model() {
            @Override
            public Object getObject() {
                return count;
            }
        });
        add(label);
        
        Link link = new Link("link") {
            @Override
            public void onClick() {
                count++;
            }
        };
        add(link);
    }
    
}
