package wicket.exemplo;

import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.form.Form;
import org.apache.wicket.markup.html.form.TextField;
import org.apache.wicket.model.PropertyModel;

public class HomePage extends WebPage {
    
    private String mensagem = "[eco]";
    
    public HomePage() {
        Form form = new Form("form");
        add(form);
        
        PropertyModel model = new PropertyModel(this, "mensagem");
        
        TextField mensagem = new TextField("campo", model);
        form.add(mensagem);
        
        Label resultado = new Label("resultado", model);
        add(resultado);
    }

    /*
     * Com PropertyModel, getters e setters so opcionais.
     * Caso no existirem, acessa diretamente o atributo.
     */
    
    public String getMensagem() {
        return mensagem;
    }

    public void setMensagem(String mensagem) {
        this.mensagem = mensagem;
    }
    
}
