package wicket.exemplo;

import java.math.BigDecimal;
import java.util.Date;

import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.form.Form;
import org.apache.wicket.markup.html.form.TextField;
import org.apache.wicket.markup.html.panel.FeedbackPanel;
import org.apache.wicket.model.PropertyModel;

public class HomePage extends WebPage {

    private Date data = new Date();

    private BigDecimal bigDecimal = new BigDecimal("123.456");

	public HomePage() {

		FeedbackPanel feedbackPanel = new FeedbackPanel("feedback");
		add(feedbackPanel);

		final Form form = new Form("form");
		add(form);
		
		LocaleDropDown locales = new LocaleDropDown("locale");
        form.add(locales);

        TextField data = new TextField("campoData", new PropertyModel(this,
                "data"));
        form.add(data);

		TextField bigDecimal = new TextField("campoBigDecimal",
                new PropertyModel(this, "bigDecimal"));
        form.add(bigDecimal);
	}

    public Date getData() {
        return data;
    }

    public void setData(Date data) {
        this.data = data;
    }

    public BigDecimal getBigDecimal() {
        return bigDecimal;
    }

    public void setBigDecimal(BigDecimal bigDecimal) {
        this.bigDecimal = bigDecimal;
    }

}
