package wicket.exemplo;

import org.apache.wicket.validation.IValidatable;
import org.apache.wicket.validation.validator.AbstractValidator;

/**
 * Verifica se o primeiro caractere do String  maisculo.
 */
public class InicialMaiusculaValidator extends AbstractValidator {

    @Override
    protected void onValidate(IValidatable validatable) {
        Object value = validatable.getValue();
        String s = value.toString();
        if (s.length() == 0 || !Character.isUpperCase(s.charAt(0))) {
            error(validatable);
        }
    }
    
}