package wicket.exemplo;

import org.apache.wicket.protocol.http.WebApplication;

import wicket.bugtracker.negocio.BugTracker;

public class HelloApplication extends WebApplication {
    
    private BugTracker bugTracker;
    
    @Override
    public Class<?> getHomePage() {
        return HomePage.class;
    }
    
    @Override
    protected void init() {
        bugTracker = new BugTracker();
    }
    
    public BugTracker getBugTracker() {
        return bugTracker;
    }
    
    public static HelloApplication get() {
        return (HelloApplication) WebApplication.get();
    }
    
}
