package wicket.exemplo;

import java.util.Date;

import org.apache.wicket.Request;
import org.apache.wicket.Session;
import org.apache.wicket.protocol.http.WebSession;

public class MinhaSessao extends WebSession {
    
    private Date dataHoraCriacao;

    public MinhaSessao(Request request) {
        super(request);
        dataHoraCriacao = new Date();
        System.out.println("Uma sesso foi criada... "
                + "Se o Wicket perceber que as pginas no tem estado, ir destru-la a "
                + "no ser que o mtodo bind() seja executado. Veja a classe MinhaSessao.");
        // bind();
    }

    public Date getDataHoraCriacao() {
        return dataHoraCriacao;
    }

    /**
     * Uma forma de obter a sesso corrente.
     */
    public static MinhaSessao get() {
        return (MinhaSessao) Session.get();
    }
    
}
