package wicket.bugtracker.negocio;

public enum BugStatus {
	
	ABERTO("A"),
	ANDAMENTO("N"),
	FECHADO("F");
	
	private String codigo;
	
	private BugStatus(String codigo) {
		this.codigo = codigo;
	}
	
	public String getCodigo() {
		return codigo;
	}
	
	public static BugStatus porCodigo(String codigo) {
		for (BugStatus bugStatus : BugStatus.values()) {
			if (bugStatus.getCodigo().equals(codigo)) {
				return bugStatus;
			}
		}
		return null;
	}

}
